
#if !defined(_TRACE_DAHDI_H) || defined(TRACE_HEADER_MULTI_READ)
#define _TRACE_DAHDI_H

#include <linux/tracepoint.h>

#undef TRACE_SYSTEM
#define TRACE_SYSTEM dahdi

TRACE_EVENT(trunkdev_tick,
	TP_PROTO(struct dahdi_trunkdev *td),
	TP_ARGS(td),
	TP_STRUCT__entry(
		__array(	char,		name, 	40 )
	),
	TP_fast_assign(
		strscpy(__entry->name, td->dahdi.span.name, 40);
	),
	TP_printk("name: %s", __entry->name)
);

TRACE_EVENT(trunkdev_read_eagain,
	TP_PROTO(struct dahdi_trunkdev *td),
	TP_ARGS(td),
	TP_STRUCT__entry(
		__array(	char,		name, 	40 )
	),
	TP_fast_assign(
		strscpy(__entry->name, td->dahdi.span.name, 40);
	),
	TP_printk("name: %s", __entry->name)
);

#endif

#undef TRACE_INCLUDE_PATH
#define TRACE_INCLUDE_PATH dahdi
#undef TRACE_INCLUDE_FILE
#define TRACE_INCLUDE_FILE dahdi_trace

/* This part must be outside protection */
#include <trace/define_trace.h>
